FILEMAP_WRITE_AND_WA(9)

NAME
filemap_write_and_wait_range - write out & wait on a file range

SYNOPSIS

int filemap_write_and_wait_range(struct address_space * mapping, loff_t lstart, loff_t lend);

ARGUMENTS

mapping
    the address_space for the pages

lstart
    offset in bytes where the range starts

lend
    offset in bytes where the range ends (inclusive)

DESCRIPTION

Write out and wait upon file offsets lstart->lend, inclusive.

Note that `lend' is inclusive (describes the last byte to be written) so that this function can be used to write to the very end-of-file (end = -1).

COPYRIGHT